ListDedicatedIpPools method
Returns the list of dedicated IP address pools in the folder. The folder is selected based on the service account the request originates from.
Reserved pools are not returned in the output.
Request
GET /v2/email/dedicated-ip-pools HTTP/2
Query parameters
|
Parameter |
Description |
|
|
Type: Integer. Maximum number of results you can get on one page in response to your request. If the number of results exceeds the This is an optional parameter. |
|
|
Type: String. Token to get the next results page in response to a request. To do this, provide the This is an optional parameter. |
Request headers
Use common request headers in your requests.
Responses
200 OK
{
"DedicatedIpPools": [
"<pool_1_name>",
"<pool_2_name>",
...
"<pool_N_name>"
],
"NextToken": "<token>"
}
|
Parameter |
Description |
|
|
Type: Array. Array of pool names. Each name is provided as a separate string. |
|
|
Type: String. Token to get the next results page in response to a request. If the number of results exceeds the |
The 200 OK response may contain additional parameters. Its format may vary slightly from the above.
Errors
For all errors, the response body has the same format:
{
"Code": "<error_name>",
"message": "<error_description>"
}
The name of the error is taken from its code, e.g., BadRequestException.
The possible errors include:
|
Error code |
Description |
|
|
The request contains invalid headers or parameters, or an incorrect token is provided in the |
|
|
The request quota was exceeded. |